ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.117 by root, Sun Nov 18 01:02:09 2007 UTC vs.
Revision 1.121 by ayin, Tue Dec 11 00:01:28 2007 UTC

658host_cpu 658host_cpu
659host_vendor 659host_vendor
660host_os 660host_os
661VERSION 661VERSION
662DATE 662DATE
663LSMDATE
664LIBVERSION
665CC 663CC
666CFLAGS 664CFLAGS
667LDFLAGS 665LDFLAGS
668CPPFLAGS 666CPPFLAGS
669ac_ct_CC 667ac_ct_CC
677INSTALL_SCRIPT 675INSTALL_SCRIPT
678INSTALL_DATA 676INSTALL_DATA
679GREP 677GREP
680EGREP 678EGREP
681LINKER 679LINKER
682INSTALL_LIBRXVT
683RXVTNAME 680RXVTNAME
684CXXCPP 681CXXCPP
685TIC 682TIC
686XMKMF 683XMKMF
687X_CFLAGS 684X_CFLAGS
1316Optional Features: 1313Optional Features:
1317 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1314 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1318 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1315 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1319 --enable-everything enable standard non-multichoice features 1316 --enable-everything enable standard non-multichoice features
1320 NOTE: this option is order dependent 1317 NOTE: this option is order dependent
1321 NOTE: automatically enabled with --enable-shared
1322 --enable-warnings turn on g++ warnings 1318 --enable-warnings turn on g++ warnings
1323 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1319 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1324 --enable-combining enable composition of base and combining characters 1320 --enable-combining enable composition of base and combining characters
1325 --enable-xft enable xft support on systems that have it 1321 --enable-xft enable xft support on systems that have it
1326 --enable-font-styles enable bold and italic support 1322 --enable-font-styles enable bold and italic support
1328 --enable-transparency enable transparent backgrounds 1324 --enable-transparency enable transparent backgrounds
1329 --enable-fading enable colors fading when off focus 1325 --enable-fading enable colors fading when off focus
1330 --enable-rxvt-scroll enable rxvt style scrollbar 1326 --enable-rxvt-scroll enable rxvt style scrollbar
1331 --enable-next-scroll enable NeXT style scrollbar 1327 --enable-next-scroll enable NeXT style scrollbar
1332 --enable-xterm-scroll enable Xterm style scrollbar 1328 --enable-xterm-scroll enable Xterm style scrollbar
1329 --enable-plain-scroll enable plain style scrollbar
1333 --enable-perl enable embedded perl interpreter 1330 --enable-perl enable embedded perl interpreter
1334 --enable-plain-scroll enable plain style scrollbar
1335 --enable-xim XIM (X Input Method) protocol support 1331 --enable-xim XIM (X Input Method) protocol support
1336 --disable-backspace-key disable handling of the backspace key 1332 --disable-backspace-key disable handling of the backspace key
1337 --disable-delete-key disable handling of the delete key 1333 --disable-delete-key disable handling of the delete key
1338 --disable-resources disable all resource checking 1334 --disable-resources disable all resource checking
1339 --enable-8bitctrls enable 8 bit control sequences (not recommended) 1335 --enable-8bitctrls enable 8 bit control sequences (not recommended)
1927echo "configuring for rxvt $VERSION" 1923echo "configuring for rxvt $VERSION"
1928echo "" 1924echo ""
1929 1925
1930orig_CXXFLAGS="$CXXFLAGS" 1926orig_CXXFLAGS="$CXXFLAGS"
1931 1927
1932
1933ac_ext=c 1928ac_ext=c
1934ac_cpp='$CPP $CPPFLAGS' 1929ac_cpp='$CPP $CPPFLAGS'
1935ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 1930ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1936ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 1931ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1937ac_compiler_gnu=$ac_cv_c_compiler_gnu 1932ac_compiler_gnu=$ac_cv_c_compiler_gnu
3715echo "${ECHO_T}no" >&6; } 3710echo "${ECHO_T}no" >&6; }
3716fi 3711fi
3717rm -f conftest* 3712rm -f conftest*
3718 3713
3719 3714
3715
3716cat >>confdefs.h <<\_ACEOF
3717#define _GNU_SOURCE 1
3718_ACEOF
3719
3720
3720{ echo "$as_me:$LINENO: checking for library containing strerror" >&5 3721{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
3721echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; } 3722echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
3722if test "${ac_cv_search_strerror+set}" = set; then 3723if test "${ac_cv_search_strerror+set}" = set; then
3723 echo $ECHO_N "(cached) $ECHO_C" >&6 3724 echo $ECHO_N "(cached) $ECHO_C" >&6
3724else 3725else
3871LINKER=$LINKER 3872LINKER=$LINKER
3872 3873
3873 3874
3874if test -z "$orig_CXXFLAGS"; then 3875if test -z "$orig_CXXFLAGS"; then
3875 if test x$GCC = xyes && test "x$GXX" = xyes; then 3876 if test x$GCC = xyes && test "x$GXX" = xyes; then
3876 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3877 CXXFLAGS="-g -O3 -fno-rtti -fvisibility-inlines-hidden -fno-threadsafe-statics -fno-enforce-eh-specs"
3877 cat >conftest.$ac_ext <<_ACEOF 3878 cat >conftest.$ac_ext <<_ACEOF
3878/* confdefs.h. */ 3879/* confdefs.h. */
3879_ACEOF 3880_ACEOF
3880cat confdefs.h >>conftest.$ac_ext 3881cat confdefs.h >>conftest.$ac_ext
3881cat >>conftest.$ac_ext <<_ACEOF 3882cat >>conftest.$ac_ext <<_ACEOF
3919 CXXFLAGS="-O" 3920 CXXFLAGS="-O"
3920 fi 3921 fi
3921 CFLAGS="$CXXFLAGS" 3922 CFLAGS="$CXXFLAGS"
3922fi 3923fi
3923 3924
3924
3925cat >>confdefs.h <<\_ACEOF
3926#define _GNU_SOURCE 1
3927_ACEOF
3928
3929
3930case $host in 3925case $host in
3931 *-*-solaris* ) 3926 *-*-solaris* )
3932 3927
3933cat >>confdefs.h <<\_ACEOF 3928cat >>confdefs.h <<\_ACEOF
3934#define _XOPEN_SOURCE 500 3929#define _XOPEN_SOURCE 500
3935_ACEOF 3930_ACEOF
3936 3931
3937 ;; 3932 ;;
3938esac 3933esac
3939
3940 3934
3941{ echo "$as_me:$LINENO: checking for setlocale" >&5 3935{ echo "$as_me:$LINENO: checking for setlocale" >&5
3942echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; } 3936echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; }
3943if test "${ac_cv_func_setlocale+set}" = set; then 3937if test "${ac_cv_func_setlocale+set}" = set; then
3944 echo $ECHO_N "(cached) $ECHO_C" >&6 3938 echo $ECHO_N "(cached) $ECHO_C" >&6
4417support_iso14755=yes 4411support_iso14755=yes
4418support_styles=yes 4412support_styles=yes
4419support_perl=yes 4413support_perl=yes
4420codesets=all 4414codesets=all
4421 4415
4422
4423if test "x$enable_shared" = xyes; then
4424
4425cat >>confdefs.h <<\_ACEOF
4426#define LIBRXVT 1
4427_ACEOF
4428
4429 INSTALL_LIBRXVT=yes
4430fi
4431 4416
4432 4417
4433# Check whether --enable-everything was given. 4418# Check whether --enable-everything was given.
4434if test "${enable_everything+set}" = set; then 4419if test "${enable_everything+set}" = set; then
4435 enableval=$enable_everything; 4420 enableval=$enable_everything;
4641 support_scroll_xterm=$enableval 4626 support_scroll_xterm=$enableval
4642 fi 4627 fi
4643fi 4628fi
4644 4629
4645 4630
4631# Check whether --enable-plain-scroll was given.
4632if test "${enable_plain_scroll+set}" = set; then
4633 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4634 support_scroll_plain=$enableval
4635 fi
4636fi
4637
4638
4646# Check whether --enable-perl was given. 4639# Check whether --enable-perl was given.
4647if test "${enable_perl+set}" = set; then 4640if test "${enable_perl+set}" = set; then
4648 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then 4641 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then
4649 support_perl=$enableval 4642 support_perl=$enableval
4650 fi
4651fi
4652
4653
4654# Check whether --enable-plain-scroll was given.
4655if test "${enable_plain_scroll+set}" = set; then
4656 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4657 support_scroll_plain=$enableval
4658 fi 4643 fi
4659fi 4644fi
4660 4645
4661 4646
4662 4647
4892 fi 4877 fi
4893fi 4878fi
4894 4879
4895 4880
4896 4881
4882LIBEV_M4_AVOID_LIBRT=1
4897 4883
4898ac_ext=cpp 4884ac_ext=cpp
4899ac_cpp='$CXXCPP $CPPFLAGS' 4885ac_cpp='$CXXCPP $CPPFLAGS'
4900ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 4886ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4901ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 4887ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5367 5353
5368 5354
5369 5355
5370 5356
5371 5357
5358
5359
5360
5372for ac_header in sys/epoll.h sys/event.h sys/queue.h port.h 5361for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h
5373do 5362do
5374as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 5363as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5375if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 5364if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5376 { echo "$as_me:$LINENO: checking for $ac_header" >&5 5365 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5377echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 5366echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5510 5499
5511 5500
5512 5501
5513 5502
5514 5503
5504
5505
5506
5515for ac_func in epoll_ctl kqueue port_create 5507for ac_func in inotify_init epoll_ctl kqueue port_create poll select
5516do 5508do
5517as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5509as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5518{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5510{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5519echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 5511echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5520if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 5512if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5689echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; } 5681echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
5690if test $ac_cv_func_clock_gettime = yes; then 5682if test $ac_cv_func_clock_gettime = yes; then
5691 : 5683 :
5692else 5684else
5693 5685
5686 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
5694 5687
5695{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5 5688{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
5696echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; } 5689echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
5697if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then 5690if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
5698 echo $ECHO_N "(cached) $ECHO_C" >&6 5691 echo $ECHO_N "(cached) $ECHO_C" >&6
5760 5753
5761 LIBS="-lrt $LIBS" 5754 LIBS="-lrt $LIBS"
5762 5755
5763fi 5756fi
5764 5757
5758 unset ac_cv_func_clock_gettime
5765 5759
5766for ac_func in clock_gettime 5760for ac_func in clock_gettime
5767do 5761do
5768as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5762as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5769{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5763{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5854_ACEOF 5848_ACEOF
5855 5849
5856fi 5850fi
5857done 5851done
5858 5852
5853 fi
5859 5854
5860fi 5855fi
5861 5856
5862 5857
5863 5858
5974echo "${ECHO_T}$TIC" >&6; } 5969echo "${ECHO_T}$TIC" >&6; }
5975else 5970else
5976 { echo "$as_me:$LINENO: result: no" >&5 5971 { echo "$as_me:$LINENO: result: no" >&5
5977echo "${ECHO_T}no" >&6; } 5972echo "${ECHO_T}no" >&6; }
5978fi 5973fi
5979
5980
5981 5974
5982 5975
5983 5976
5984{ echo "$as_me:$LINENO: checking for X" >&5 5977{ echo "$as_me:$LINENO: checking for X" >&5
5985echo $ECHO_N "checking for X... $ECHO_C" >&6; } 5978echo $ECHO_N "checking for X... $ECHO_C" >&6; }
7372echo "${ECHO_T}no" >&6; } 7365echo "${ECHO_T}no" >&6; }
7373 fi 7366 fi
7374 fi 7367 fi
7375fi 7368fi
7376 7369
7377{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
7378echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; }
7379if test "${ac_cv_header_sys_wait_h+set}" = set; then
7380 echo $ECHO_N "(cached) $ECHO_C" >&6
7381else
7382 cat >conftest.$ac_ext <<_ACEOF
7383/* confdefs.h. */
7384_ACEOF
7385cat confdefs.h >>conftest.$ac_ext
7386cat >>conftest.$ac_ext <<_ACEOF
7387/* end confdefs.h. */
7388#include <sys/types.h>
7389#include <sys/wait.h>
7390#ifndef WEXITSTATUS
7391# define WEXITSTATUS(stat_val) ((unsigned int) (stat_val) >> 8)
7392#endif
7393#ifndef WIFEXITED
7394# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
7395#endif
7396
7397int
7398main ()
7399{
7400 int s;
7401 wait (&s);
7402 s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
7403 ;
7404 return 0;
7405}
7406_ACEOF
7407rm -f conftest.$ac_objext
7408if { (ac_try="$ac_compile"
7409case "(($ac_try" in
7410 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7411 *) ac_try_echo=$ac_try;;
7412esac
7413eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7414 (eval "$ac_compile") 2>conftest.er1
7415 ac_status=$?
7416 grep -v '^ *+' conftest.er1 >conftest.err
7417 rm -f conftest.er1
7418 cat conftest.err >&5
7419 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7420 (exit $ac_status); } && {
7421 test -z "$ac_cxx_werror_flag" ||
7422 test ! -s conftest.err
7423 } && test -s conftest.$ac_objext; then
7424 ac_cv_header_sys_wait_h=yes
7425else
7426 echo "$as_me: failed program was:" >&5
7427sed 's/^/| /' conftest.$ac_ext >&5
7428
7429 ac_cv_header_sys_wait_h=no
7430fi
7431
7432rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7433fi
7434{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_wait_h" >&5
7435echo "${ECHO_T}$ac_cv_header_sys_wait_h" >&6; }
7436if test $ac_cv_header_sys_wait_h = yes; then
7437
7438cat >>confdefs.h <<\_ACEOF
7439#define HAVE_SYS_WAIT_H 1
7440_ACEOF
7441
7442fi
7443
7444 7370
7445 7371
7446 7372
7447 7373
7448 7374
7614fi 7540fi
7615 7541
7616done 7542done
7617 7543
7618 7544
7619{ echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
7620echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6; }
7621if test "${ac_cv_header_time+set}" = set; then
7622 echo $ECHO_N "(cached) $ECHO_C" >&6
7623else
7624 cat >conftest.$ac_ext <<_ACEOF
7625/* confdefs.h. */
7626_ACEOF
7627cat confdefs.h >>conftest.$ac_ext
7628cat >>conftest.$ac_ext <<_ACEOF
7629/* end confdefs.h. */
7630#include <sys/types.h>
7631#include <sys/time.h>
7632#include <time.h>
7633
7634int
7635main ()
7636{
7637if ((struct tm *) 0)
7638return 0;
7639 ;
7640 return 0;
7641}
7642_ACEOF
7643rm -f conftest.$ac_objext
7644if { (ac_try="$ac_compile"
7645case "(($ac_try" in
7646 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7647 *) ac_try_echo=$ac_try;;
7648esac
7649eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7650 (eval "$ac_compile") 2>conftest.er1
7651 ac_status=$?
7652 grep -v '^ *+' conftest.er1 >conftest.err
7653 rm -f conftest.er1
7654 cat conftest.err >&5
7655 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7656 (exit $ac_status); } && {
7657 test -z "$ac_cxx_werror_flag" ||
7658 test ! -s conftest.err
7659 } && test -s conftest.$ac_objext; then
7660 ac_cv_header_time=yes
7661else
7662 echo "$as_me: failed program was:" >&5
7663sed 's/^/| /' conftest.$ac_ext >&5
7664
7665 ac_cv_header_time=no
7666fi
7667
7668rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7669fi
7670{ echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
7671echo "${ECHO_T}$ac_cv_header_time" >&6; }
7672if test $ac_cv_header_time = yes; then
7673
7674cat >>confdefs.h <<\_ACEOF
7675#define TIME_WITH_SYS_TIME 1
7676_ACEOF
7677
7678fi
7679
7680
7681{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5 7545{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5
7682echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; } 7546echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; }
7683if test "${rxvt_cv_header_sysioctl+set}" = set; then 7547if test "${rxvt_cv_header_sysioctl+set}" = set; then
7684 echo $ECHO_N "(cached) $ECHO_C" >&6 7548 echo $ECHO_N "(cached) $ECHO_C" >&6
7685else 7549else
7850cat >>confdefs.h <<\_ACEOF 7714cat >>confdefs.h <<\_ACEOF
7851#define XLIB_ILLEGAL_ACCESS 1 7715#define XLIB_ILLEGAL_ACCESS 1
7852_ACEOF 7716_ACEOF
7853 7717
7854fi 7718fi
7855
7856{ echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
7857echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
7858if test "${ac_cv_c_const+set}" = set; then
7859 echo $ECHO_N "(cached) $ECHO_C" >&6
7860else
7861 cat >conftest.$ac_ext <<_ACEOF
7862/* confdefs.h. */
7863_ACEOF
7864cat confdefs.h >>conftest.$ac_ext
7865cat >>conftest.$ac_ext <<_ACEOF
7866/* end confdefs.h. */
7867
7868int
7869main ()
7870{
7871/* FIXME: Include the comments suggested by Paul. */
7872#ifndef __cplusplus
7873 /* Ultrix mips cc rejects this. */
7874 typedef int charset[2];
7875 const charset cs;
7876 /* SunOS 4.1.1 cc rejects this. */
7877 char const *const *pcpcc;
7878 char **ppc;
7879 /* NEC SVR4.0.2 mips cc rejects this. */
7880 struct point {int x, y;};
7881 static struct point const zero = {0,0};
7882 /* AIX XL C 1.02.0.0 rejects this.
7883 It does not let you subtract one const X* pointer from another in
7884 an arm of an if-expression whose if-part is not a constant
7885 expression */
7886 const char *g = "string";
7887 pcpcc = &g + (g ? g-g : 0);
7888 /* HPUX 7.0 cc rejects these. */
7889 ++pcpcc;
7890 ppc = (char**) pcpcc;
7891 pcpcc = (char const *const *) ppc;
7892 { /* SCO 3.2v4 cc rejects this. */
7893 char *t;
7894 char const *s = 0 ? (char *) 0 : (char const *) 0;
7895
7896 *t++ = 0;
7897 if (s) return 0;
7898 }
7899 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
7900 int x[] = {25, 17};
7901 const int *foo = &x[0];
7902 ++foo;
7903 }
7904 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
7905 typedef const int *iptr;
7906 iptr p = 0;
7907 ++p;
7908 }
7909 { /* AIX XL C 1.02.0.0 rejects this saying
7910 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
7911 struct s { int j; const int *ap[3]; };
7912 struct s *b; b->j = 5;
7913 }
7914 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
7915 const int foo = 10;
7916 if (!foo) return 0;
7917 }
7918 return !cs[0] && !zero.x;
7919#endif
7920
7921 ;
7922 return 0;
7923}
7924_ACEOF
7925rm -f conftest.$ac_objext
7926if { (ac_try="$ac_compile"
7927case "(($ac_try" in
7928 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7929 *) ac_try_echo=$ac_try;;
7930esac
7931eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7932 (eval "$ac_compile") 2>conftest.er1
7933 ac_status=$?
7934 grep -v '^ *+' conftest.er1 >conftest.err
7935 rm -f conftest.er1
7936 cat conftest.err >&5
7937 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7938 (exit $ac_status); } && {
7939 test -z "$ac_cxx_werror_flag" ||
7940 test ! -s conftest.err
7941 } && test -s conftest.$ac_objext; then
7942 ac_cv_c_const=yes
7943else
7944 echo "$as_me: failed program was:" >&5
7945sed 's/^/| /' conftest.$ac_ext >&5
7946
7947 ac_cv_c_const=no
7948fi
7949
7950rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7951fi
7952{ echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
7953echo "${ECHO_T}$ac_cv_c_const" >&6; }
7954if test $ac_cv_c_const = no; then
7955
7956cat >>confdefs.h <<\_ACEOF
7957#define const
7958_ACEOF
7959
7960fi
7961
7962{ echo "$as_me:$LINENO: checking for inline" >&5
7963echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
7964if test "${ac_cv_c_inline+set}" = set; then
7965 echo $ECHO_N "(cached) $ECHO_C" >&6
7966else
7967 ac_cv_c_inline=no
7968for ac_kw in inline __inline__ __inline; do
7969 cat >conftest.$ac_ext <<_ACEOF
7970/* confdefs.h. */
7971_ACEOF
7972cat confdefs.h >>conftest.$ac_ext
7973cat >>conftest.$ac_ext <<_ACEOF
7974/* end confdefs.h. */
7975#ifndef __cplusplus
7976typedef int foo_t;
7977static $ac_kw foo_t static_foo () {return 0; }
7978$ac_kw foo_t foo () {return 0; }
7979#endif
7980
7981_ACEOF
7982rm -f conftest.$ac_objext
7983if { (ac_try="$ac_compile"
7984case "(($ac_try" in
7985 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7986 *) ac_try_echo=$ac_try;;
7987esac
7988eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7989 (eval "$ac_compile") 2>conftest.er1
7990 ac_status=$?
7991 grep -v '^ *+' conftest.er1 >conftest.err
7992 rm -f conftest.er1
7993 cat conftest.err >&5
7994 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7995 (exit $ac_status); } && {
7996 test -z "$ac_cxx_werror_flag" ||
7997 test ! -s conftest.err
7998 } && test -s conftest.$ac_objext; then
7999 ac_cv_c_inline=$ac_kw
8000else
8001 echo "$as_me: failed program was:" >&5
8002sed 's/^/| /' conftest.$ac_ext >&5
8003
8004
8005fi
8006
8007rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8008 test "$ac_cv_c_inline" != no && break
8009done
8010
8011fi
8012{ echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
8013echo "${ECHO_T}$ac_cv_c_inline" >&6; }
8014
8015
8016case $ac_cv_c_inline in
8017 inline | yes) ;;
8018 *)
8019 case $ac_cv_c_inline in
8020 no) ac_val=;;
8021 *) ac_val=$ac_cv_c_inline;;
8022 esac
8023 cat >>confdefs.h <<_ACEOF
8024#ifndef __cplusplus
8025#define inline $ac_val
8026#endif
8027_ACEOF
8028 ;;
8029esac
8030
8031
8032 7719
8033{ echo "$as_me:$LINENO: checking for mode_t" >&5 7720{ echo "$as_me:$LINENO: checking for mode_t" >&5
8034echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; } 7721echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; }
8035if test "${ac_cv_type_mode_t+set}" = set; then 7722if test "${ac_cv_type_mode_t+set}" = set; then
8036 echo $ECHO_N "(cached) $ECHO_C" >&6 7723 echo $ECHO_N "(cached) $ECHO_C" >&6
10151 fi 9838 fi
10152fi 9839fi
10153 9840
10154 9841
10155 9842
10156{ echo "$as_me:$LINENO: checking return type of signal handlers" >&5
10157echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6; }
10158if test "${ac_cv_type_signal+set}" = set; then
10159 echo $ECHO_N "(cached) $ECHO_C" >&6
10160else
10161 cat >conftest.$ac_ext <<_ACEOF
10162/* confdefs.h. */
10163_ACEOF
10164cat confdefs.h >>conftest.$ac_ext
10165cat >>conftest.$ac_ext <<_ACEOF
10166/* end confdefs.h. */
10167#include <sys/types.h>
10168#include <signal.h>
10169
10170int
10171main ()
10172{
10173return *(signal (0, 0)) (0) == 1;
10174 ;
10175 return 0;
10176}
10177_ACEOF
10178rm -f conftest.$ac_objext
10179if { (ac_try="$ac_compile"
10180case "(($ac_try" in
10181 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10182 *) ac_try_echo=$ac_try;;
10183esac
10184eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10185 (eval "$ac_compile") 2>conftest.er1
10186 ac_status=$?
10187 grep -v '^ *+' conftest.er1 >conftest.err
10188 rm -f conftest.er1
10189 cat conftest.err >&5
10190 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10191 (exit $ac_status); } && {
10192 test -z "$ac_cxx_werror_flag" ||
10193 test ! -s conftest.err
10194 } && test -s conftest.$ac_objext; then
10195 ac_cv_type_signal=int
10196else
10197 echo "$as_me: failed program was:" >&5
10198sed 's/^/| /' conftest.$ac_ext >&5
10199
10200 ac_cv_type_signal=void
10201fi
10202
10203rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10204fi
10205{ echo "$as_me:$LINENO: result: $ac_cv_type_signal" >&5
10206echo "${ECHO_T}$ac_cv_type_signal" >&6; }
10207
10208cat >>confdefs.h <<_ACEOF
10209#define RETSIGTYPE $ac_cv_type_signal
10210_ACEOF
10211
10212
10213
10214 9843
10215for ac_func in unsetenv 9844for ac_func in unsetenv
10216do 9845do
10217as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 9846as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10218{ echo "$as_me:$LINENO: checking for $ac_func" >&5 9847{ echo "$as_me:$LINENO: checking for $ac_func" >&5
10457fi 10086fi
10458done 10087done
10459 10088
10460 10089
10461 10090
10462
10463
10464for ac_header in \ 10091for ac_header in lastlog.h
10465 utmp.h \
10466 utmpx.h \
10467 lastlog.h \
10468
10469do 10092do
10470as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 10093as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10471if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 10094if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10472 { echo "$as_me:$LINENO: checking for $ac_header" >&5 10095 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10473echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 10096echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10604 10227
10605done 10228done
10606 10229
10607 10230
10608 10231
10609if test "${ac_cv_header_utmp_h+set}" = set; then 10232
10233for ac_header in utmp.h
10234do
10235as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10236if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10610 { echo "$as_me:$LINENO: checking for utmp.h" >&5 10237 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10611echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10238echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10612if test "${ac_cv_header_utmp_h+set}" = set; then 10239if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10613 echo $ECHO_N "(cached) $ECHO_C" >&6 10240 echo $ECHO_N "(cached) $ECHO_C" >&6
10614fi 10241fi
10242ac_res=`eval echo '${'$as_ac_Header'}'`
10615{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10243 { echo "$as_me:$LINENO: result: $ac_res" >&5
10616echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10244echo "${ECHO_T}$ac_res" >&6; }
10617else 10245else
10618 # Is the header compilable? 10246 # Is the header compilable?
10619{ echo "$as_me:$LINENO: checking utmp.h usability" >&5 10247{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10620echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; } 10248echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10621cat >conftest.$ac_ext <<_ACEOF 10249cat >conftest.$ac_ext <<_ACEOF
10622/* confdefs.h. */ 10250/* confdefs.h. */
10623_ACEOF 10251_ACEOF
10624cat confdefs.h >>conftest.$ac_ext 10252cat confdefs.h >>conftest.$ac_ext
10625cat >>conftest.$ac_ext <<_ACEOF 10253cat >>conftest.$ac_ext <<_ACEOF
10626/* end confdefs.h. */ 10254/* end confdefs.h. */
10627$ac_includes_default 10255$ac_includes_default
10628#include <utmp.h> 10256#include <$ac_header>
10629_ACEOF 10257_ACEOF
10630rm -f conftest.$ac_objext 10258rm -f conftest.$ac_objext
10631if { (ac_try="$ac_compile" 10259if { (ac_try="$ac_compile"
10632case "(($ac_try" in 10260case "(($ac_try" in
10633 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10261 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10655rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10283rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10656{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10284{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10657echo "${ECHO_T}$ac_header_compiler" >&6; } 10285echo "${ECHO_T}$ac_header_compiler" >&6; }
10658 10286
10659# Is the header present? 10287# Is the header present?
10660{ echo "$as_me:$LINENO: checking utmp.h presence" >&5 10288{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10661echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; } 10289echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10662cat >conftest.$ac_ext <<_ACEOF 10290cat >conftest.$ac_ext <<_ACEOF
10663/* confdefs.h. */ 10291/* confdefs.h. */
10664_ACEOF 10292_ACEOF
10665cat confdefs.h >>conftest.$ac_ext 10293cat confdefs.h >>conftest.$ac_ext
10666cat >>conftest.$ac_ext <<_ACEOF 10294cat >>conftest.$ac_ext <<_ACEOF
10667/* end confdefs.h. */ 10295/* end confdefs.h. */
10668#include <utmp.h> 10296#include <$ac_header>
10669_ACEOF 10297_ACEOF
10670if { (ac_try="$ac_cpp conftest.$ac_ext" 10298if { (ac_try="$ac_cpp conftest.$ac_ext"
10671case "(($ac_try" in 10299case "(($ac_try" in
10672 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10300 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10673 *) ac_try_echo=$ac_try;; 10301 *) ac_try_echo=$ac_try;;
10696echo "${ECHO_T}$ac_header_preproc" >&6; } 10324echo "${ECHO_T}$ac_header_preproc" >&6; }
10697 10325
10698# So? What about this header? 10326# So? What about this header?
10699case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10327case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10700 yes:no: ) 10328 yes:no: )
10701 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5 10329 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10702echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10330echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10703 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5 10331 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10704echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;} 10332echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10705 ac_header_preproc=yes 10333 ac_header_preproc=yes
10706 ;; 10334 ;;
10707 no:yes:* ) 10335 no:yes:* )
10708 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5 10336 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10709echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;} 10337echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10710 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5 10338 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10711echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;} 10339echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10712 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5 10340 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10713echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;} 10341echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10714 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5 10342 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10715echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;} 10343echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10716 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5 10344 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10717echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;} 10345echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10718 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5 10346 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10719echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;} 10347echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10720 10348
10721 ;; 10349 ;;
10722esac 10350esac
10723{ echo "$as_me:$LINENO: checking for utmp.h" >&5 10351{ echo "$as_me:$LINENO: checking for $ac_header" >&5
10724echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10352echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10725if test "${ac_cv_header_utmp_h+set}" = set; then 10353if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10726 echo $ECHO_N "(cached) $ECHO_C" >&6 10354 echo $ECHO_N "(cached) $ECHO_C" >&6
10727else 10355else
10728 ac_cv_header_utmp_h=$ac_header_preproc 10356 eval "$as_ac_Header=\$ac_header_preproc"
10729fi 10357fi
10358ac_res=`eval echo '${'$as_ac_Header'}'`
10730{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10359 { echo "$as_me:$LINENO: result: $ac_res" >&5
10731echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10360echo "${ECHO_T}$ac_res" >&6; }
10732 10361
10733fi 10362fi
10734if test $ac_cv_header_utmp_h = yes; then 10363if test `eval echo '${'$as_ac_Header'}'` = yes; then
10364 cat >>confdefs.h <<_ACEOF
10365#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10366_ACEOF
10735 { echo "$as_me:$LINENO: checking for struct utmp" >&5 10367 { echo "$as_me:$LINENO: checking for struct utmp" >&5
10736echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 10368echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
10737if test "${struct_utmp+set}" = set; then 10369if test "${struct_utmp+set}" = set; then
10738 echo $ECHO_N "(cached) $ECHO_C" >&6 10370 echo $ECHO_N "(cached) $ECHO_C" >&6
10739else 10371else
10740 cat >conftest.$ac_ext <<_ACEOF 10372 cat >conftest.$ac_ext <<_ACEOF
10907 10539
10908fi 10540fi
10909 10541
10910fi 10542fi
10911 10543
10544done
10912 10545
10913 10546
10914if test "${ac_cv_header_utmpx_h+set}" = set; then 10547
10548for ac_header in utmpx.h
10549do
10550as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10551if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10915 { echo "$as_me:$LINENO: checking for utmpx.h" >&5 10552 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10916echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10553echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10917if test "${ac_cv_header_utmpx_h+set}" = set; then 10554if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10918 echo $ECHO_N "(cached) $ECHO_C" >&6 10555 echo $ECHO_N "(cached) $ECHO_C" >&6
10919fi 10556fi
10557ac_res=`eval echo '${'$as_ac_Header'}'`
10920{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10558 { echo "$as_me:$LINENO: result: $ac_res" >&5
10921echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10559echo "${ECHO_T}$ac_res" >&6; }
10922else 10560else
10923 # Is the header compilable? 10561 # Is the header compilable?
10924{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5 10562{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10925echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; } 10563echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10926cat >conftest.$ac_ext <<_ACEOF 10564cat >conftest.$ac_ext <<_ACEOF
10927/* confdefs.h. */ 10565/* confdefs.h. */
10928_ACEOF 10566_ACEOF
10929cat confdefs.h >>conftest.$ac_ext 10567cat confdefs.h >>conftest.$ac_ext
10930cat >>conftest.$ac_ext <<_ACEOF 10568cat >>conftest.$ac_ext <<_ACEOF
10931/* end confdefs.h. */ 10569/* end confdefs.h. */
10932$ac_includes_default 10570$ac_includes_default
10933#include <utmpx.h> 10571#include <$ac_header>
10934_ACEOF 10572_ACEOF
10935rm -f conftest.$ac_objext 10573rm -f conftest.$ac_objext
10936if { (ac_try="$ac_compile" 10574if { (ac_try="$ac_compile"
10937case "(($ac_try" in 10575case "(($ac_try" in
10938 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10576 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10960rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10598rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10961{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10599{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10962echo "${ECHO_T}$ac_header_compiler" >&6; } 10600echo "${ECHO_T}$ac_header_compiler" >&6; }
10963 10601
10964# Is the header present? 10602# Is the header present?
10965{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5 10603{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10966echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; } 10604echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10967cat >conftest.$ac_ext <<_ACEOF 10605cat >conftest.$ac_ext <<_ACEOF
10968/* confdefs.h. */ 10606/* confdefs.h. */
10969_ACEOF 10607_ACEOF
10970cat confdefs.h >>conftest.$ac_ext 10608cat confdefs.h >>conftest.$ac_ext
10971cat >>conftest.$ac_ext <<_ACEOF 10609cat >>conftest.$ac_ext <<_ACEOF
10972/* end confdefs.h. */ 10610/* end confdefs.h. */
10973#include <utmpx.h> 10611#include <$ac_header>
10974_ACEOF 10612_ACEOF
10975if { (ac_try="$ac_cpp conftest.$ac_ext" 10613if { (ac_try="$ac_cpp conftest.$ac_ext"
10976case "(($ac_try" in 10614case "(($ac_try" in
10977 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10615 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10978 *) ac_try_echo=$ac_try;; 10616 *) ac_try_echo=$ac_try;;
11001echo "${ECHO_T}$ac_header_preproc" >&6; } 10639echo "${ECHO_T}$ac_header_preproc" >&6; }
11002 10640
11003# So? What about this header? 10641# So? What about this header?
11004case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10642case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
11005 yes:no: ) 10643 yes:no: )
11006 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5 10644 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
11007echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10645echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
11008 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5 10646 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
11009echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;} 10647echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
11010 ac_header_preproc=yes 10648 ac_header_preproc=yes
11011 ;; 10649 ;;
11012 no:yes:* ) 10650 no:yes:* )
11013 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5 10651 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
11014echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;} 10652echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
11015 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5 10653 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
11016echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;} 10654echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
11017 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5 10655 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
11018echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;} 10656echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
11019 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5 10657 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
11020echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;} 10658echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
11021 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5 10659 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
11022echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;} 10660echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
11023 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5 10661 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
11024echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;} 10662echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
11025 10663
11026 ;; 10664 ;;
11027esac 10665esac
11028{ echo "$as_me:$LINENO: checking for utmpx.h" >&5 10666{ echo "$as_me:$LINENO: checking for $ac_header" >&5
11029echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10667echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11030if test "${ac_cv_header_utmpx_h+set}" = set; then 10668if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11031 echo $ECHO_N "(cached) $ECHO_C" >&6 10669 echo $ECHO_N "(cached) $ECHO_C" >&6
11032else 10670else
11033 ac_cv_header_utmpx_h=$ac_header_preproc 10671 eval "$as_ac_Header=\$ac_header_preproc"
11034fi 10672fi
10673ac_res=`eval echo '${'$as_ac_Header'}'`
11035{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10674 { echo "$as_me:$LINENO: result: $ac_res" >&5
11036echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10675echo "${ECHO_T}$ac_res" >&6; }
11037 10676
11038fi 10677fi
11039if test $ac_cv_header_utmpx_h = yes; then 10678if test `eval echo '${'$as_ac_Header'}'` = yes; then
10679 cat >>confdefs.h <<_ACEOF
10680#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10681_ACEOF
11040 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 10682 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
11041echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 10683echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
11042if test "${struct_utmpx+set}" = set; then 10684if test "${struct_utmpx+set}" = set; then
11043 echo $ECHO_N "(cached) $ECHO_C" >&6 10685 echo $ECHO_N "(cached) $ECHO_C" >&6
11044else 10686else
11045 cat >conftest.$ac_ext <<_ACEOF 10687 cat >conftest.$ac_ext <<_ACEOF
11212 10854
11213fi 10855fi
11214 10856
11215fi 10857fi
11216 10858
10859done
11217 10860
11218{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 10861{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
11219echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 10862echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
11220if test "${struct_lastlog+set}" = set; then 10863if test "${struct_lastlog+set}" = set; then
11221 echo $ECHO_N "(cached) $ECHO_C" >&6 10864 echo $ECHO_N "(cached) $ECHO_C" >&6
13024 X_LIBS="`$XFT_CONFIG --libs` $X_LIBS" 12667 X_LIBS="`$XFT_CONFIG --libs` $X_LIBS"
13025 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`" 12668 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
13026 fi 12669 fi
13027 fi 12670 fi
13028 12671
12672 save_LIBS="$LIBS"
12673 LIBS="$LIBS $X_LIBS"
13029 12674
13030for ac_header in X11/Xft/Xft.h 12675for ac_header in X11/Xft/Xft.h
13031do 12676do
13032as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 12677as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
13033if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 12678if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
13166 support_xft=no 12811 support_xft=no
13167fi 12812fi
13168 12813
13169done 12814done
13170 12815
13171 ac_save_LIBS="$LIBS"
13172 LIBS="$LIBS $X_LIBS"
13173
13174{ echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5 12816 { echo "$as_me:$LINENO: checking for XftDrawString32 in -lXft" >&5
13175echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; } 12817echo $ECHO_N "checking for XftDrawString32 in -lXft... $ECHO_C" >&6; }
13176if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then 12818if test "${ac_cv_lib_Xft_XftDrawString32+set}" = set; then
13177 echo $ECHO_N "(cached) $ECHO_C" >&6 12819 echo $ECHO_N "(cached) $ECHO_C" >&6
13178else 12820else
13179 ac_check_lib_save_LIBS=$LIBS 12821 ac_check_lib_save_LIBS=$LIBS
13231LIBS=$ac_check_lib_save_LIBS 12873LIBS=$ac_check_lib_save_LIBS
13232fi 12874fi
13233{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5 12875{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftDrawString32" >&5
13234echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; } 12876echo "${ECHO_T}$ac_cv_lib_Xft_XftDrawString32" >&6; }
13235if test $ac_cv_lib_Xft_XftDrawString32 = yes; then 12877if test $ac_cv_lib_Xft_XftDrawString32 = yes; then
13236 cat >>confdefs.h <<_ACEOF 12878 :
13237#define HAVE_LIBXFT 1
13238_ACEOF
13239
13240 LIBS="-lXft $LIBS"
13241
13242else 12879else
13243 support_xft=no 12880 support_xft=no
13244fi 12881fi
13245 12882
13246 LIBS="$ac_save_LIBS" 12883 LIBS="$save_LIBS"
13247 12884
13248 if test x$support_xft = xyes; then 12885 if test x$support_xft = xyes; then
13249 12886
13250cat >>confdefs.h <<\_ACEOF 12887cat >>confdefs.h <<\_ACEOF
13251#define XFT 1 12888#define XFT 1
14375host_cpu!$host_cpu$ac_delim 14012host_cpu!$host_cpu$ac_delim
14376host_vendor!$host_vendor$ac_delim 14013host_vendor!$host_vendor$ac_delim
14377host_os!$host_os$ac_delim 14014host_os!$host_os$ac_delim
14378VERSION!$VERSION$ac_delim 14015VERSION!$VERSION$ac_delim
14379DATE!$DATE$ac_delim 14016DATE!$DATE$ac_delim
14380LSMDATE!$LSMDATE$ac_delim
14381LIBVERSION!$LIBVERSION$ac_delim
14382CC!$CC$ac_delim 14017CC!$CC$ac_delim
14383CFLAGS!$CFLAGS$ac_delim 14018CFLAGS!$CFLAGS$ac_delim
14384LDFLAGS!$LDFLAGS$ac_delim 14019LDFLAGS!$LDFLAGS$ac_delim
14385CPPFLAGS!$CPPFLAGS$ac_delim 14020CPPFLAGS!$CPPFLAGS$ac_delim
14386ac_ct_CC!$ac_ct_CC$ac_delim 14021ac_ct_CC!$ac_ct_CC$ac_delim
14394INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 14029INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
14395INSTALL_DATA!$INSTALL_DATA$ac_delim 14030INSTALL_DATA!$INSTALL_DATA$ac_delim
14396GREP!$GREP$ac_delim 14031GREP!$GREP$ac_delim
14397EGREP!$EGREP$ac_delim 14032EGREP!$EGREP$ac_delim
14398LINKER!$LINKER$ac_delim 14033LINKER!$LINKER$ac_delim
14399INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
14400RXVTNAME!$RXVTNAME$ac_delim 14034RXVTNAME!$RXVTNAME$ac_delim
14401CXXCPP!$CXXCPP$ac_delim 14035CXXCPP!$CXXCPP$ac_delim
14402TIC!$TIC$ac_delim 14036TIC!$TIC$ac_delim
14403XMKMF!$XMKMF$ac_delim 14037XMKMF!$XMKMF$ac_delim
14404X_CFLAGS!$X_CFLAGS$ac_delim 14038X_CFLAGS!$X_CFLAGS$ac_delim
14425include_stdint_h!$include_stdint_h$ac_delim 14059include_stdint_h!$include_stdint_h$ac_delim
14426include_stdarg_h!$include_stdarg_h$ac_delim 14060include_stdarg_h!$include_stdarg_h$ac_delim
14427include_stdlib_h!$include_stdlib_h$ac_delim 14061include_stdlib_h!$include_stdlib_h$ac_delim
14428include_unistd_h!$include_unistd_h$ac_delim 14062include_unistd_h!$include_unistd_h$ac_delim
14429include_string_h!$include_string_h$ac_delim 14063include_string_h!$include_string_h$ac_delim
14064include_fcntl_h!$include_fcntl_h$ac_delim
14065include_util_h!$include_util_h$ac_delim
14066include_assert_h!$include_assert_h$ac_delim
14430_ACEOF 14067_ACEOF
14431 14068
14432 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 14069 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14433 break 14070 break
14434 elif $ac_last_try; then 14071 elif $ac_last_try; then
14466 14103
14467 14104
14468ac_delim='%!_!# ' 14105ac_delim='%!_!# '
14469for ac_last_try in false false false false false :; do 14106for ac_last_try in false false false false false :; do
14470 cat >conf$$subs.sed <<_ACEOF 14107 cat >conf$$subs.sed <<_ACEOF
14471include_fcntl_h!$include_fcntl_h$ac_delim
14472include_util_h!$include_util_h$ac_delim
14473include_assert_h!$include_assert_h$ac_delim
14474include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim 14108include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14475include_sys_select_h!$include_sys_select_h$ac_delim 14109include_sys_select_h!$include_sys_select_h$ac_delim
14476include_sys_strredir_h!$include_sys_strredir_h$ac_delim 14110include_sys_strredir_h!$include_sys_strredir_h$ac_delim
14477include_sys_time_h!$include_sys_time_h$ac_delim 14111include_sys_time_h!$include_sys_time_h$ac_delim
14478include_time_h!$include_time_h$ac_delim 14112include_time_h!$include_time_h$ac_delim
14479LIBOBJS!$LIBOBJS$ac_delim 14113LIBOBJS!$LIBOBJS$ac_delim
14480LTLIBOBJS!$LTLIBOBJS$ac_delim 14114LTLIBOBJS!$LTLIBOBJS$ac_delim
14481_ACEOF 14115_ACEOF
14482 14116
14483 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then 14117 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 7; then
14484 break 14118 break
14485 elif $ac_last_try; then 14119 elif $ac_last_try; then
14486 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 14120 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14487echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 14121echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14488 { (exit 1); exit 1; }; } 14122 { (exit 1); exit 1; }; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines